program Server;
{$APPTYPE CONSOLE}
uses
  SysUtils,
  Windows,
  ServerFrm in 'ServerFrm.pas' {ServerForm: TDataModule};

{$R *.RES}

var
   ServerForm  : TServerForm;
   HostName, ChannelName : AnsiString;
   Port : Integer;
begin
   if (ParamCount < 3) then
   begin
      WriteLn('This is an Iguana destination plugin.  It runs as a command line application');
      WriteLn('which connects via TCP/IP to the plugin communication server within Iguana.');
      WriteLn('It will be necessary to run a channel in Iguana and set up a channel with');
      WriteLn('a To Plugin component for this to connect to.  See:');
      WriteLn('');
      WriteLn('   http://www.interfaceware.com/manual/plugin_receiving_chameleon_delphi.html');
      WriteLn('');
      WriteLn('Once the channel is set up and running you can connect to it with this usage:');
      WriteLn('');
      WriteLn('  ' + ExtractFileName(ParamStr(0)) + ' <iguana hostname> <plugin communication port> <channel name>');
      WriteLn('');
      WriteLn('The plugin communication port is the port that Iguana listens on for plugin');
      WriteLn('communication.');
      Flush(Output);
      Sleep(12000);
      Halt(0);
   end;
   Hostname     := ParamStr(1);
   Port         := StrToInt(ParamStr(2));
   ChannelName  := ParamStr(3);

   ServerForm := nil;
   try
      try
         ServerForm := TServerForm.Create(nil);
         ServerForm.Run(HostName, Port, ChannelName);
      except
         on E: Exception do
            WriteLn(E.Message);
      end
   finally
      ServerForm.Free;
   end;
end.
